import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import { Message, Pagination, Alert, Loading, Dialog } from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import { skipUrl, pageStop, pageMove, goTologin, copy, startupUnderLoading, closeUnderLoading, formattedDate, updateURLSearchParams, clearCookies } from "@/utils/common.js"
import http from "@/utils/request"


Vue.config.productionTip = false

Vue.prototype.$loginUrl = "https://passport.gter.net/" // 跳转登录的url

Vue.prototype.$http = http  // 跳转登录页面的方法
Vue.prototype.$skipUrl = skipUrl  // 跳转页面的公共方法
Vue.prototype.$goTologin = goTologin  // 跳转登录页面的方法
// 上面的顺序不要修改

Vue.prototype.$pageStop = pageStop   // 页面禁止滑动
Vue.prototype.$pageMove = pageMove  // 页面可以滑动
Vue.prototype.$Message = Message  // 消息提示框
Vue.prototype.$loading = Loading  // 消息提示框
Vue.prototype.$copy = copy  // 复制
Vue.prototype.$startupUnderLoading = startupUnderLoading  // 开启加载提示 element的
Vue.prototype.$closeUnderLoading = closeUnderLoading  // 关闭加载提示 element的
Vue.prototype.$formattedDate = formattedDate  // 时间戳转格式
Vue.prototype.$updateURLSearchParams = updateURLSearchParams  // 不刷新的情况下修改url
Vue.prototype.$clearCookies = clearCookies  // 清空Cookies
Vue.prototype.$baseURL = "https://ansnid.oss-cn-shenzhen.aliyuncs.com/forum"  // 清空Cookies

//svg文件引入     
import './icons'
//动态设置fontsize
import './utils/fontSize.js'

// 判断是否是数组的 ，兼容操作
if (!Array.isArray) {
  Array.isArray = function (arg) {
    return Object.prototype.toString.call(arg) === '[object Array]';
  }
}

// Vue.use(ElementUI);
Vue.use(Pagination);
Vue.use(Alert);
Vue.use(Loading);
Vue.use(Dialog);

// v-focus
Vue.directive('focus', {
  inserted: function (el) {
    el.focus()
  }
})

new Vue({
  router,
  store,
  render: h => h(App),

}).$mount('#app')
